module.exports = [{
    "url": "https://api.github.com/repos/numenta/nupic/issues/1862",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1862/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1862/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1862/events",
    "html_url": "https://github.com/numenta/nupic/issues/1862",
    "id": 58684194,
    "number": 1862,
    "title": "Removal of obsolete/non-essential/dead-code from nupic",
    "user": {
        "login": "david-ragazzi",
        "id": 3386273,
        "avatar_url": "https://avatars.githubusercontent.com/u/3386273?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/david-ragazzi",
        "html_url": "https://github.com/david-ragazzi",
        "followers_url": "https://api.github.com/users/david-ragazzi/followers",
        "following_url": "https://api.github.com/users/david-ragazzi/following{/other_user}",
        "gists_url": "https://api.github.com/users/david-ragazzi/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/david-ragazzi/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/david-ragazzi/subscriptions",
        "organizations_url": "https://api.github.com/users/david-ragazzi/orgs",
        "repos_url": "https://api.github.com/users/david-ragazzi/repos",
        "events_url": "https://api.github.com/users/david-ragazzi/events{/privacy}",
        "received_events_url": "https://api.github.com/users/david-ragazzi/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/super",
        "name": "super",
        "color": "006b75"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 5,
    "created_at": "2015-02-24T02:20:40Z",
    "updated_at": "2015-02-24T20:13:53Z",
    "closed_at": null,
    "body": "Here I list a serie of possible removals for make the nupic repo clearer and easy to follow and maintain as discussed in ML. Some of these removals should also be aplied to nupic.core in case of equivalent code (numenta/nupic.core#354).\r\n\r\n* * *\r\n\r\n`nupic/research`:\r\n- [X] Dead code (`DataGenerator.py`, `ObjDiff.py`, `TrainingHooks.py`, `TrainingHooks.py`, `anomalyzer.py`). These dead codes are used in anywhere (except in their tests/examples). Issue: https://github.com/numenta/nupic/issues/1857, Fixed by: https://github.com/numenta/nupic/pull/1858\r\n- [X] Derived implementations of SP (`flat_spatial_pooler.py`): This removal already was discussed. Issue: https://github.com/numenta/nupic/issues/627, Fixed by: https://github.com/numenta/nupic/pull/1851\r\n- [X] Obsolete implementations of SP (`FDRCSpatial2.py` and `fdrutilities.py`): Do we really need this old implementation as `spatial_pooler` is its replacement?. Another point, `fdrutilities.py` has a lot of dead code. By the way, if`FDRCSpatial2.py` be removed then this file also could be removed. Issue: https://github.com/numenta/nupic/issues/1864\r\n- [X] Derived implementations of TP (`TPTrivial.py` and `TrivialPredictor.py`): I've checked the use of these classes in code, and I found that are little used. Issue: https://github.com/numenta/nupic/issues/1865\r\n- [ ] Obsolete implementations of TP (`TP.py`, `TP10X2.py`, and their crutchs: `TP_shim.py` and `TemporalMemoryShim.py`): When `temporal_memory` gets more mature, could `TP.py` and `TP10X2.py` be removed? If so, then `TP_shim.py` and `TemporalMemoryShim.py` will not make more sense.\r\n- [ ] Derived implementations of TM (`fast_temporal_memory.py`): Is this derived class very important?\r\n- [X] Vision code; In #1863 \r\n\r\nIt seems that TP is the big problem to a clean repository as it has several derived classes and hacks to keep consistency between them. As `temporal_memory` gets mature, we could remove TP and its inheritance and so the repository finally would get nice and clean. By the way, while TP is not fully removed, some derived classes could be removed right now (`TPTrivial`, `fast_temporal_memory`, etc).",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/351",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/351/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/351/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/351/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/351",
    "id": 58685577,
    "number": 351,
    "title": "rename Cells4 to TemporalPooler",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 3,
    "created_at": "2015-02-24T02:41:06Z",
    "updated_at": "2015-02-24T19:36:54Z",
    "closed_at": null,
    "body": "which it basically is, so in `nupic/bindings` it can be accessed intuitively (instead of TP10X2 ?)",
    "repo": "numenta/nupic.core"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1863",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1863/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1863/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1863/events",
    "html_url": "https://github.com/numenta/nupic/issues/1863",
    "id": 58722673,
    "number": 1863,
    "title": "Move vision code to appropriate repo nupic.vision",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 4,
    "created_at": "2015-02-24T10:57:45Z",
    "updated_at": "2015-02-24T19:27:15Z",
    "closed_at": null,
    "body": "and remove it from nupic. \r\nRelevant task: https://github.com/nupic-community/nupic.vision/issues/3",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/346",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/346/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/346/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/346/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/346",
    "id": 58271538,
    "number": 346,
    "title": "Change default dtypes to 32bit",
    "user": {
        "login": "scottpurdy",
        "id": 239726,
        "avatar_url": "https://avatars.githubusercontent.com/u/239726?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/scottpurdy",
        "html_url": "https://github.com/scottpurdy",
        "followers_url": "https://api.github.com/users/scottpurdy/followers",
        "following_url": "https://api.github.com/users/scottpurdy/following{/other_user}",
        "gists_url": "https://api.github.com/users/scottpurdy/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/scottpurdy/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/scottpurdy/subscriptions",
        "organizations_url": "https://api.github.com/users/scottpurdy/orgs",
        "repos_url": "https://api.github.com/users/scottpurdy/repos",
        "events_url": "https://api.github.com/users/scottpurdy/events{/privacy}",
        "received_events_url": "https://api.github.com/users/scottpurdy/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/algorithms",
        "name": "algorithms",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 4,
    "created_at": "2015-02-19T21:20:34Z",
    "updated_at": "2015-02-24T19:22:31Z",
    "closed_at": null,
    "body": "Many locations use `Real`, `Int`, and `UInt` types which currently default to 64 bits. But the size can also be 32 bits and is determined by the preprocessor variables `NTA_BIG_INTEGER` and `NTA_DOUBLE_PRECISION`.\r\n\r\nThis has some problems:\r\n\r\n- Not obvious how many bits are being used when reading the code, added indirection\r\n- Many places that only need 32 bits are using twice that with no benefit\r\n- Complicates the code with preprocessor conditionals\r\n- Must use 64 bit serialization if we want to maintain precision across serialization\r\n\r\nI propose that we:\r\n\r\n- Change algorithms to use explicit precision (32 bit rather than 64 in most, if not all, cases) for all attributes\r\n- I'm not sure if we should keep the unspecified versions or not, curious what @subutai thinks. I suppose they might make sense for looping over a range of integers where the precision doesn't matter and you just want whatever matches the platform. I think the original intent was to allow for high-precision computations if you needed that for some application but I don't see how that would actually help anything as currently implemented.\r\n\r\n@subutai - can you provide some historical context?\r\n\r\nCC @chetan51 @oxtopus ",
    "repo": "numenta/nupic.core"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/355",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/355/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/355/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/355/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/355",
    "id": 58768426,
    "number": 355,
    "title": "Move vision code to nupic.vision",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2015-02-24T17:02:20Z",
    "updated_at": "2015-02-24T17:02:20Z",
    "closed_at": null,
    "body": "nupic/algorithms: GaborNode, ImageSensorLine + swig/make sections in nupic. ",
    "repo": "numenta/nupic.core"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/572",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/572/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/572/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/572/events",
    "html_url": "https://github.com/numenta/nupic/issues/572",
    "id": 25844114,
    "number": 572,
    "title": "Remove unused methods in Encoders",
    "user": {
        "login": "subutai",
        "id": 1268932,
        "avatar_url": "https://avatars.githubusercontent.com/u/1268932?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/subutai",
        "html_url": "https://github.com/subutai",
        "followers_url": "https://api.github.com/users/subutai/followers",
        "following_url": "https://api.github.com/users/subutai/following{/other_user}",
        "gists_url": "https://api.github.com/users/subutai/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/subutai/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/subutai/subscriptions",
        "organizations_url": "https://api.github.com/users/subutai/orgs",
        "repos_url": "https://api.github.com/users/subutai/repos",
        "events_url": "https://api.github.com/users/subutai/events{/privacy}",
        "received_events_url": "https://api.github.com/users/subutai/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/P4",
        "name": "P4",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/refactoring",
        "name": "refactoring",
        "color": "f7c6c7"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 4,
    "created_at": "2014-01-17T22:52:47Z",
    "updated_at": "2015-02-24T16:42:32Z",
    "closed_at": null,
    "body": "There are a number of methods in the Encoder base class that are difficult to implement but unused. We should remove them. This will make it simpler for people to understand and implement encoders.  The methods should be listed and then someone could remove them. To validate the changes we should run swarms, hotgym, etc.",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1865",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1865/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1865/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1865/events",
    "html_url": "https://github.com/numenta/nupic/issues/1865",
    "id": 58725686,
    "number": 1865,
    "title": "Remove derived implementations of TP",
    "user": {
        "login": "david-ragazzi",
        "id": 3386273,
        "avatar_url": "https://avatars.githubusercontent.com/u/3386273?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/david-ragazzi",
        "html_url": "https://github.com/david-ragazzi",
        "followers_url": "https://api.github.com/users/david-ragazzi/followers",
        "following_url": "https://api.github.com/users/david-ragazzi/following{/other_user}",
        "gists_url": "https://api.github.com/users/david-ragazzi/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/david-ragazzi/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/david-ragazzi/subscriptions",
        "organizations_url": "https://api.github.com/users/david-ragazzi/orgs",
        "repos_url": "https://api.github.com/users/david-ragazzi/repos",
        "events_url": "https://api.github.com/users/david-ragazzi/events{/privacy}",
        "received_events_url": "https://api.github.com/users/david-ragazzi/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2015-02-24T11:27:52Z",
    "updated_at": "2015-02-24T16:27:46Z",
    "closed_at": null,
    "body": "As addressed here: #1862\r\n\r\nStuff to be removed:\r\n`TPTrivial.py` and `TrivialPredictor.py`\r\n",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1077",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1077/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1077/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1077/events",
    "html_url": "https://github.com/numenta/nupic/issues/1077",
    "id": 36844023,
    "number": 1077,
    "title": "Tackle TODOs/FIXMEs in code",
    "user": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2014-06-30T22:14:06Z",
    "updated_at": "2015-02-24T15:58:27Z",
    "closed_at": null,
    "body": "From: https://issues.numenta.org/browse/NPC-261\r\n\r\nThere's some 500 TODOs in the code, indicating buggy, incomplete or hacky parts of the code - let's try to tackle them. \r\n\r\nFor a list, `cd $NUPIC; grep -R 'TODO' | grep -v external`\r\n\r\nJust please, this is not to stop you write TODO in comments :), it's extremely useful, just to clear the log of the old ones.\r\n\r\nEDIT:\r\n\r\nwe should grep them, review, and fix/create issues for important ones",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1864",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1864/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1864/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1864/events",
    "html_url": "https://github.com/numenta/nupic/issues/1864",
    "id": 58724644,
    "number": 1864,
    "title": "Remove obsolete implementations of SP",
    "user": {
        "login": "david-ragazzi",
        "id": 3386273,
        "avatar_url": "https://avatars.githubusercontent.com/u/3386273?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/david-ragazzi",
        "html_url": "https://github.com/david-ragazzi",
        "followers_url": "https://api.github.com/users/david-ragazzi/followers",
        "following_url": "https://api.github.com/users/david-ragazzi/following{/other_user}",
        "gists_url": "https://api.github.com/users/david-ragazzi/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/david-ragazzi/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/david-ragazzi/subscriptions",
        "organizations_url": "https://api.github.com/users/david-ragazzi/orgs",
        "repos_url": "https://api.github.com/users/david-ragazzi/repos",
        "events_url": "https://api.github.com/users/david-ragazzi/events{/privacy}",
        "received_events_url": "https://api.github.com/users/david-ragazzi/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2015-02-24T11:17:41Z",
    "updated_at": "2015-02-24T11:23:04Z",
    "closed_at": null,
    "body": "As addressed here: https://github.com/numenta/nupic/issues/1862\r\n\r\nStuff to be removed:\r\n`FDRCSpatial2.py` and the unused code in `fdrutilities.py`",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1860",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1860/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1860/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1860/events",
    "html_url": "https://github.com/numenta/nupic/issues/1860",
    "id": 58682270,
    "number": 1860,
    "title": "create class Layer that SP/TP/TM extend, instead of object",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/algorithms",
        "name": "algorithms",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 2,
    "created_at": "2015-02-24T01:54:37Z",
    "updated_at": "2015-02-24T11:07:36Z",
    "closed_at": null,
    "body": "extract some shared functions there. \r\nThis would also mimic more the concept of layers in Whitepaper. ",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/875",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/875/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/875/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/875/events",
    "html_url": "https://github.com/numenta/nupic/issues/875",
    "id": 32299392,
    "number": 875,
    "title": "modular/OOP nupic",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/development",
        "name": "development",
        "color": "bfe5bf"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/opf",
        "name": "opf",
        "color": "fbca04"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/question",
        "name": "question",
        "color": "cc317c"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/super",
        "name": "super",
        "color": "006b75"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 2,
    "created_at": "2014-04-26T22:03:28Z",
    "updated_at": "2015-02-24T02:00:58Z",
    "closed_at": null,
    "body": "The idea is also discussed on [ML](http://lists.numenta.org/pipermail/nupic-hackers_lists.numenta.org/2014-April/000592.html)\r\n\r\nWhether NuPIC should use more the modular/OOP approach - splitting logic to stand-alone classes, using inheritance, .. , compared to the current situation with larger, single-file implementations and alternatives in \"copy-n-modify\"-ed files. \r\n\r\nWe are talking about `SP` currently, `TP` would fall in that category too. \r\n\r\nI will try to list the pros and cons from the ML discussion (well, I'm biased, so feel free to jump in with opinion! :) )\r\n\r\n`OOP` is: \r\n- easy to read (not so long files, all functions/variables are related to the logic) \r\n- easier to cooperate (long time) (my alt. boosting impl. can still benefit from changes in SP made by someone else)\r\n- forces \"nicer coding\"/API (\"parts\" communicate by public methods only, no direct access to variables where it should not be. Makes alt impl much easier)\r\n\r\n`single file` is:\r\n- easy to read (no inheritance, abstract classes, all in one file..)\r\n- easier to develop alternatives (short time) (just copy files, make changes..)\r\n\r\nBoth allow the `goal` of \"single best algorithm\" that is used as default.  \r\n\r\nRelated:\r\n- [ ] standalone Boosting/Inhibition https://github.com/numenta/nupic/issues/824\r\n- [ ] SP/TP/TM extend from (abstract) Layer class https://github.com/numenta/nupic/issues/1860\r\n- [ ] Column class https://github.com/numenta/nupic/issues/1861",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/824",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/824/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/824/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/824/events",
    "html_url": "https://github.com/numenta/nupic/issues/824",
    "id": 31623541,
    "number": 824,
    "title": "Refactor boosting/inhibition to stand-alone objects",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/algorithms",
        "name": "algorithms",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/enhancement",
        "name": "enhancement",
        "color": "84b6eb"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 1,
    "created_at": "2014-04-16T08:50:06Z",
    "updated_at": "2015-02-24T01:51:09Z",
    "closed_at": null,
    "body": "edit:\r\nwe discussed this with @chetan51 back then, I will try to investigate this issue again - if it is possible to extract Boosting/Inhibition functionality from SP/TP to stand-alone classes. \r\npros:\r\n* simpler SP/TP/(TM?) code\r\n* code shared among implementations\r\n* code shared among different classes SP/TP,...\r\n\r\ncons:\r\n* there are (easy) optimizations for some cases -- with right data-structure, we can optimize (using eg GPU lib) for all cases\r\n\r\n\r\n----------------------\r\nI think we should (again) create a class `Boosting` (or BoostingStrategy ?) that would take care of the logic of: \r\nwhen should it start boosting? \r\nwhich columns? \r\nand how \"strongly\" to boost? \r\n\r\nThen we could easily have implementations: GreedyBoosting (now), SmoothBoosting, PartialBoosting (1 at a time)...",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1857",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1857/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1857/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1857/events",
    "html_url": "https://github.com/numenta/nupic/issues/1857",
    "id": 58667846,
    "number": 1857,
    "title": "Remove dead code from nupic/research",
    "user": {
        "login": "david-ragazzi",
        "id": 3386273,
        "avatar_url": "https://avatars.githubusercontent.com/u/3386273?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/david-ragazzi",
        "html_url": "https://github.com/david-ragazzi",
        "followers_url": "https://api.github.com/users/david-ragazzi/followers",
        "following_url": "https://api.github.com/users/david-ragazzi/following{/other_user}",
        "gists_url": "https://api.github.com/users/david-ragazzi/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/david-ragazzi/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/david-ragazzi/subscriptions",
        "organizations_url": "https://api.github.com/users/david-ragazzi/orgs",
        "repos_url": "https://api.github.com/users/david-ragazzi/repos",
        "events_url": "https://api.github.com/users/david-ragazzi/events{/privacy}",
        "received_events_url": "https://api.github.com/users/david-ragazzi/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/algorithms",
        "name": "algorithms",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2015-02-23T23:31:42Z",
    "updated_at": "2015-02-24T00:46:49Z",
    "closed_at": null,
    "body": "We need remove delete dead code from nupic.research as first step to reach 0.5.0 milestone (\"clean code\" release). The dead code which I found is used in anywhere (except in their tests/examples).\r\n\r\nThe resulting tree:\r\n\r\nhttps://github.com/david-ragazzi/nupic/tree/remove_dead_code/nupic/research",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1649",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1649/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1649/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1649/events",
    "html_url": "https://github.com/numenta/nupic/issues/1649",
    "id": 52671541,
    "number": 1649,
    "title": "Simplify NuPIC's configuration system",
    "user": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/P3",
        "name": "P3",
        "color": "009800"
    }],
    "state": "open",
    "locked": false,
    "assignee": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2014-12-22T17:42:35Z",
    "updated_at": "2015-02-23T23:13:10Z",
    "closed_at": null,
    "body": "Some reference at https://github.com/numenta/nupic/pull/1646. \r\n\r\nIdeally, I'd like NuPIC to have a set of global configuration settings defined somewhere, some or all of which are easily overrideable by users. \r\n\r\nOur current configuration system is complex and antiquated, because it was build mostly to support a product that no longer exists. I believe it could be drastically simplified using standard python toolsets. \r\n\r\nThis might end up a super-issue, depending on the initial investigation. \r\n\r\n/cc @oxtopus ",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1652",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1652/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1652/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1652/events",
    "html_url": "https://github.com/numenta/nupic/issues/1652",
    "id": 52691663,
    "number": 1652,
    "title": "Simplify NuPIC's logging system",
    "user": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/P3",
        "name": "P3",
        "color": "009800"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2014-12-22T21:42:30Z",
    "updated_at": "2015-02-23T23:12:35Z",
    "closed_at": null,
    "body": "The entire logging system for NuPIC needs a thorough review and cleanup. It seems too complicated and not intuitive to get logs out of the system. ",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1355",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1355/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1355/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1355/events",
    "html_url": "https://github.com/numenta/nupic/pull/1355",
    "id": 43338781,
    "number": 1355,
    "title": "Encoders inherit more from Encoder() class",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/encoder",
        "name": "encoder",
        "color": "bfdadc"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/help%20wanted",
        "name": "help wanted",
        "color": "fbca04"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/in%20progress",
        "name": "in progress",
        "color": "bfe5bf"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/refactoring",
        "name": "refactoring",
        "color": "f7c6c7"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 28,
    "created_at": "2014-09-21T16:18:14Z",
    "updated_at": "2015-02-23T23:05:44Z",
    "closed_at": null,
    "pull_request": {
        "url": "https://api.github.com/repos/numenta/nupic/pulls/1355",
        "html_url": "https://github.com/numenta/nupic/pull/1355",
        "diff_url": "https://github.com/numenta/nupic/pull/1355.diff",
        "patch_url": "https://github.com/numenta/nupic/pull/1355.patch"
    },
    "body": "refactors encoders to share more common fields and methods in parent `base.Encoder` class. \r\nShould simplify creation of a new encoder, and assertion tests share more common paths, so better testing (for tests :) )\r\nI'd like to get this done before I start on reimplementation in c++ https://github.com/numenta/nupic.core/issues/62\r\n\r\nfixes #544 \r\nfixes #981 \r\nfixes #947 \r\n",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/908",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/908/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/908/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/908/events",
    "html_url": "https://github.com/numenta/nupic/issues/908",
    "id": 32670819,
    "number": 908,
    "title": "Remove temporal pooling logic from TP",
    "user": {
        "login": "chetan51",
        "id": 310282,
        "avatar_url": "https://avatars.githubusercontent.com/u/310282?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/chetan51",
        "html_url": "https://github.com/chetan51",
        "followers_url": "https://api.github.com/users/chetan51/followers",
        "following_url": "https://api.github.com/users/chetan51/following{/other_user}",
        "gists_url": "https://api.github.com/users/chetan51/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/chetan51/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/chetan51/subscriptions",
        "organizations_url": "https://api.github.com/users/chetan51/orgs",
        "repos_url": "https://api.github.com/users/chetan51/repos",
        "events_url": "https://api.github.com/users/chetan51/events{/privacy}",
        "received_events_url": "https://api.github.com/users/chetan51/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/algorithms",
        "name": "algorithms",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 5,
    "created_at": "2014-05-02T06:22:28Z",
    "updated_at": "2015-02-23T22:59:30Z",
    "closed_at": null,
    "body": "Since \"pooling\" is not actually being used anymore, let's remove the extra logic from the TP. We can also get rid of the idea of \"sequence segments\".",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1835",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1835/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1835/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1835/events",
    "html_url": "https://github.com/numenta/nupic/issues/1835",
    "id": 58271020,
    "number": 1835,
    "title": "setup.py not properly distinguishing source, build, and install locations",
    "user": {
        "login": "scottpurdy",
        "id": 239726,
        "avatar_url": "https://avatars.githubusercontent.com/u/239726?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/scottpurdy",
        "html_url": "https://github.com/scottpurdy",
        "followers_url": "https://api.github.com/users/scottpurdy/followers",
        "following_url": "https://api.github.com/users/scottpurdy/following{/other_user}",
        "gists_url": "https://api.github.com/users/scottpurdy/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/scottpurdy/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/scottpurdy/subscriptions",
        "organizations_url": "https://api.github.com/users/scottpurdy/orgs",
        "repos_url": "https://api.github.com/users/scottpurdy/repos",
        "events_url": "https://api.github.com/users/scottpurdy/events{/privacy}",
        "received_events_url": "https://api.github.com/users/scottpurdy/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/build",
        "name": "build",
        "color": "006b75"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/P3",
        "name": "P3",
        "color": "009800"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2015-02-19T21:16:41Z",
    "updated_at": "2015-02-23T22:24:29Z",
    "closed_at": null,
    "body": "There are a bunch of odd things with the build that need to be fixed.\r\n\r\n- The `.i` and generated `.cxx` files get installed in regular non-develop builds which should be avoided\r\n- The <repo>/build directory is created (even when a different install location is specified) and some build artifacts are copied there. But it doesn't seem to serve any purpose. We should remove it as we don't want any arbitrary hard-coded locations in our setup.py file. And it shouldn't be necessary since setuptools should automatically create a temp dir for intermediate steps\r\n- The `.capnp` files are not included in the specified installation location. They are getting moved to the hard-coded `build/...` location\r\n- Build artifacts like the `.so` files are copied into the source tree as well as the installation location. They should only be copied to the installation location (or the repo location if it is a developer build?)\r\n- In develop mode, a nupic.egg-link file specifies the repo location. In this case, all generated files or files from nupic.core must be copied to the repo location or additionally need to be included in the `.egg-link` file.\r\n\r\nRelates to #1670 \r\nCC @rhyolight @oxtopus @david-ragazzi ",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1852",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1852/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1852/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1852/events",
    "html_url": "https://github.com/numenta/nupic/issues/1852",
    "id": 58620043,
    "number": 1852,
    "title": "Building wheel on Linux should not require deleting directories",
    "user": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/bug",
        "name": "bug",
        "color": "fc2929"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/deployment",
        "name": "deployment",
        "color": "eb6420"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 3,
    "created_at": "2015-02-23T17:36:21Z",
    "updated_at": "2015-02-23T18:37:44Z",
    "closed_at": null,
    "body": "On Linux (Ubuntu 12.04), the `pip wheel --wheel-dir=dist/wheels .` command fails:\r\n\r\n```\r\ncoming soon\r\n```\r\n\r\nRemoving the `external/linux32arm` directory fixes the problem, but this is a poor solution and the cause needs to be identified and fixed. \r\n\r\n```\r\ntree ~/nta/nupic/external/linux32arm\r\n├── bin\r\n│   └── swig\r\n├── include\r\n│   ├── jpeglib.h\r\n│   ├── libpng12\r\n│   │   ├── png.h\r\n│   │   └── pngconf.h\r\n│   ├── png.h -> libpng12/png.h\r\n│   ├── pngconf.h -> libpng12/pngconf.h\r\n│   ├── zconf.h\r\n│   └── zlib.h\r\n├── lib\r\n│   ├── libjpeg.a\r\n│   └── python2.7 -> python2.6\r\n└── share\r\n    └── swig -> ../../linux64/share/swig\r\n```",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/544",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/544/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/544/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/544/events",
    "html_url": "https://github.com/numenta/nupic/issues/544",
    "id": 25351094,
    "number": 544,
    "title": "Log Encoder should be a subclass of Scalar Encoder",
    "user": {
        "login": "iandanforth",
        "id": 446062,
        "avatar_url": "https://avatars.githubusercontent.com/u/446062?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/iandanforth",
        "html_url": "https://github.com/iandanforth",
        "followers_url": "https://api.github.com/users/iandanforth/followers",
        "following_url": "https://api.github.com/users/iandanforth/following{/other_user}",
        "gists_url": "https://api.github.com/users/iandanforth/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/iandanforth/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/iandanforth/subscriptions",
        "organizations_url": "https://api.github.com/users/iandanforth/orgs",
        "repos_url": "https://api.github.com/users/iandanforth/repos",
        "events_url": "https://api.github.com/users/iandanforth/events{/privacy}",
        "received_events_url": "https://api.github.com/users/iandanforth/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/encoder",
        "name": "encoder",
        "color": "bfdadc"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 1,
    "created_at": "2014-01-09T20:14:52Z",
    "updated_at": "2015-02-21T17:58:56Z",
    "closed_at": null,
    "body": "The current class tightly wraps the Scalar Encoder passing on all inputs after a math.log10() transformation. It would be cleaner (by removing duplicate logic) to subclass Scalar Encoder.",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/306",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/306/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/306/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/306/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/306",
    "id": 53748794,
    "number": 306,
    "title": "remove 32bit OSX support",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/blocked",
        "name": "blocked",
        "color": "fbca04"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/P3",
        "name": "P3",
        "color": "009800"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/refactoring",
        "name": "refactoring",
        "color": "f7c6c7"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 5,
    "created_at": "2015-01-08T13:11:35Z",
    "updated_at": "2015-02-21T17:57:39Z",
    "closed_at": null,
    "body": "for the arch `darwin86` ~year 2006. in our code it's guarded by `#ifdef NTA_PLATFORM_darwin32`, and has long been broken  0b0bd23 and we didn't recieve any feedback. \r\n\r\nI suggest removing `darwin86` specific code, and reusing the generic 32bit code, can newly be guarded by `NTA_ARCH_32`\r\n\r\nBlocked-by: #278 ",
    "repo": "numenta/nupic.core"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/811",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/811/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/811/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/811/events",
    "html_url": "https://github.com/numenta/nupic/issues/811",
    "id": 31547309,
    "number": 811,
    "title": "Replace NTA acronym to more intuitive and specific names",
    "user": {
        "login": "david-ragazzi",
        "id": 3386273,
        "avatar_url": "https://avatars.githubusercontent.com/u/3386273?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/david-ragazzi",
        "html_url": "https://github.com/david-ragazzi",
        "followers_url": "https://api.github.com/users/david-ragazzi/followers",
        "following_url": "https://api.github.com/users/david-ragazzi/following{/other_user}",
        "gists_url": "https://api.github.com/users/david-ragazzi/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/david-ragazzi/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/david-ragazzi/subscriptions",
        "organizations_url": "https://api.github.com/users/david-ragazzi/orgs",
        "repos_url": "https://api.github.com/users/david-ragazzi/repos",
        "events_url": "https://api.github.com/users/david-ragazzi/events{/privacy}",
        "received_events_url": "https://api.github.com/users/david-ragazzi/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/P3",
        "name": "P3",
        "color": "009800"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/refactoring",
        "name": "refactoring",
        "color": "f7c6c7"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": {
        "login": "david-ragazzi",
        "id": 3386273,
        "avatar_url": "https://avatars.githubusercontent.com/u/3386273?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/david-ragazzi",
        "html_url": "https://github.com/david-ragazzi",
        "followers_url": "https://api.github.com/users/david-ragazzi/followers",
        "following_url": "https://api.github.com/users/david-ragazzi/following{/other_user}",
        "gists_url": "https://api.github.com/users/david-ragazzi/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/david-ragazzi/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/david-ragazzi/subscriptions",
        "organizations_url": "https://api.github.com/users/david-ragazzi/orgs",
        "repos_url": "https://api.github.com/users/david-ragazzi/repos",
        "events_url": "https://api.github.com/users/david-ragazzi/events{/privacy}",
        "received_events_url": "https://api.github.com/users/david-ragazzi/received_events",
        "type": "User",
        "site_admin": false
    },
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 10,
    "created_at": "2014-04-15T12:02:57Z",
    "updated_at": "2015-02-21T17:57:33Z",
    "closed_at": null,
    "body": "Ok, I hope this is not a controversial issue, but I feel that more people (both experts and newbies) wish that the `NTA` acronym spread over the code was replaced to more intuitive and specific names.. (from my cristal ball, I guess that `NTA` could be an acronym for <b>N</b>umen<b>TA</b>, right?)..\r\n\r\nAlthough is not an easy issue to be solved in a single step we can achieve this goal gradually.. I mean that we don't need a single PR but several minor PRs along time in order to avoid any throubles..\r\n\r\nSo if you agree with this improvement, I suggest the following changes which be made individually for each situation bellow:\r\n\r\n* * *\r\n\r\n- [x] <b>1. `$NTA` envinroment variable</b> (solved by https://github.com/numenta/nupic/pull/917): \r\n\r\nAs `$NTA` is the location of the Nupic release, I think a more intuitive name would be  `$NUPIC_RELEASE`. Anyway, as we make Nupic a pip-instalable package (https://github.com/numenta/nupic/pull/813), we'll discard environment variables.. So maybe we don't need create a PR for this (unless this removal process get slow).\r\n\r\n- [x] <b>2. `nta` namespace</b> (solved by https://github.com/numenta/nupic/pull/1568 and https://github.com/numenta/nupic.core/pull/243):\r\n\r\n`nupic.core` uses the `nta` namespace in all CPP projects.. I think that we should use the name  `nupic`, in order to we have class names calls easy to follow like `nupic.region` for example..\r\n\r\n- [ ] <b>3. `NTA_*` compiler flags and and internal elements</b>:\r\n\r\nAll of these flags are used in both Nupic Python and Nupic C++ projects.. So flags like `NTA_INTERNAL` could be renamed to `NUPIC_INTERNAL`, `NTA_PLATFORM_*`  to `NUPIC_PLATFORM_*`, and so on..\r\n\r\n- [x] <b>4. `nta` folder</b> (solved by https://github.com/numenta/nupic/pull/1568 and https://github.com/numenta/nupic.core/pull/243):\r\n\r\nIn all CPP projects we have #include directives like `#include <nta/algorithms/Region.hpp>`.. If we rename this folder we would have `#include <nupic/algorithms/Region.hpp>`.\r\n\r\nYes, I know this is a extensive issue and requires a lot of work, but I think if we solved it, we would avoid a lot of confusion which we seen until now..\r\n\r\nUpdate:\r\n\r\nI removed `.core` extension in the namespaces.\r\n",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/99",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/99/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/99/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/99/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/99",
    "id": 33860570,
    "number": 99,
    "title": "Circular dependency on `nupic`",
    "user": {
        "login": "utensil",
        "id": 64258,
        "avatar_url": "https://avatars.githubusercontent.com/u/64258?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/utensil",
        "html_url": "https://github.com/utensil",
        "followers_url": "https://api.github.com/users/utensil/followers",
        "following_url": "https://api.github.com/users/utensil/following{/other_user}",
        "gists_url": "https://api.github.com/users/utensil/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/utensil/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/utensil/subscriptions",
        "organizations_url": "https://api.github.com/users/utensil/orgs",
        "repos_url": "https://api.github.com/users/utensil/repos",
        "events_url": "https://api.github.com/users/utensil/events{/privacy}",
        "received_events_url": "https://api.github.com/users/utensil/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/core%20extraction",
        "name": "core extraction",
        "color": "d4c5f9"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/P3",
        "name": "P3",
        "color": "009800"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 10,
    "created_at": "2014-05-20T06:05:49Z",
    "updated_at": "2015-02-21T17:56:51Z",
    "closed_at": null,
    "body": "As described by @subutai [here](https://github.com/numenta/nupic/issues/724#issuecomment-38321427):\r\n\r\n> With one exception, all the code under the old `nta` directory is pure C++ and should be available within `nupic.core`. Many of the libraries (such as math libraries) are also made available to Python through bindings but they are not specific to Python and not dependent on Python.\r\n>\r\n> The one exception is the following. The NuPIC Network API includes the concept of Regions. Regions are the main extensible building blocks. C++ Regions can be written, like VectorFileSensor. But, we also allow Python Regions to be written. `nta/engine/RegionImplFactory.cpp` includes a class called `DynamicPythonLibrary` that contains code to dynamically load Python code and treat that as if it is a Region.  This is the one piece of Python logic that is still in `nupic.core`. It doesn’t seem to actually import any Python include files so perhaps it’s not too bad. Removing this bit might taksome work - we probably need to move that functionality to a shared library and move it out of `nupic.core`.  We do need to keep the basic functionality though - we use a lot of Python regions.\r\n>\r\n> The bindings code for the C++ API is mostly in `lang` and IMHO should not be in `nupic.core`.  This includes `libsupport` which I think is mostly to help translate between the core C++ and the Python `numpy` module.  None of this code needs to be in `nupic.core`.\r\n>\r\n> `py` directory is all Python related code. Included in here is `py/bindings` which is for binding to Regions and also other C++ libraries.  `py/regions` include the Python Regions such as CLARegion.py. `py/nupic` is the main NuPIC python code and contains a lot of stuff. None of this should be in `nupic.core`.\r\n>\r\n> I think all the tests except for `htmtest` and `testeverything` are Python driven tests and shouldn’t be in `nupic.coe`.\r\n\r\n`nupic.core` depends on `cpp_region` in `nupic` which in turn loads Python implementations of regions.\r\n\r\nIn this dependency, there're environment variable `$NTA` and library name `libcpp_region`.\r\n\r\nThis dependency is circular and not general, so it's not good for `nupic.core` to become a stand-alone library.\r\n\r\nNot proposing any actions yet, just log an issue here for future follow up.\r\n\r\nB.T.W. @subutai 's description on this issue is an excellent source for wiki write-up regarding this dependency, thus I would like to quote here:\r\n\r\n> The NuPIC Network API includes the concept of Regions. Regions are the main extensible building blocks. C++ Regions can be written, like VectorFileSensor. But, we also allow Python Regions to be written. nta/engine/RegionImplFactory.cpp includes a class called DynamicPythonLibrary that contains code to dynamically load Python code and treat that as if it is a Region. This is the one piece of Python logic that is still in nupic.core. It doesn’t seem to actually import any Python include files so perhaps it’s not too bad. Removing this bit might take some work - we probably need to move that functionality to a shared library and move it out of nupic.core. We do need to keep the basic functionality though - we use a lot of Python regions.\r\n",
    "repo": "numenta/nupic.core"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/1479",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/1479/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/1479/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/1479/events",
    "html_url": "https://github.com/numenta/nupic/issues/1479",
    "id": 47755307,
    "number": 1479,
    "title": "Remove unused encoders",
    "user": {
        "login": "scottpurdy",
        "id": 239726,
        "avatar_url": "https://avatars.githubusercontent.com/u/239726?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/scottpurdy",
        "html_url": "https://github.com/scottpurdy",
        "followers_url": "https://api.github.com/users/scottpurdy/followers",
        "following_url": "https://api.github.com/users/scottpurdy/following{/other_user}",
        "gists_url": "https://api.github.com/users/scottpurdy/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/scottpurdy/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/scottpurdy/subscriptions",
        "organizations_url": "https://api.github.com/users/scottpurdy/orgs",
        "repos_url": "https://api.github.com/users/scottpurdy/repos",
        "events_url": "https://api.github.com/users/scottpurdy/events{/privacy}",
        "received_events_url": "https://api.github.com/users/scottpurdy/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/encoder",
        "name": "encoder",
        "color": "bfdadc"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": {
        "login": "scottpurdy",
        "id": 239726,
        "avatar_url": "https://avatars.githubusercontent.com/u/239726?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/scottpurdy",
        "html_url": "https://github.com/scottpurdy",
        "followers_url": "https://api.github.com/users/scottpurdy/followers",
        "following_url": "https://api.github.com/users/scottpurdy/following{/other_user}",
        "gists_url": "https://api.github.com/users/scottpurdy/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/scottpurdy/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/scottpurdy/subscriptions",
        "organizations_url": "https://api.github.com/users/scottpurdy/orgs",
        "repos_url": "https://api.github.com/users/scottpurdy/repos",
        "events_url": "https://api.github.com/users/scottpurdy/events{/privacy}",
        "received_events_url": "https://api.github.com/users/scottpurdy/received_events",
        "type": "User",
        "site_admin": false
    },
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 11,
    "created_at": "2014-11-04T19:38:13Z",
    "updated_at": "2015-02-21T17:56:46Z",
    "closed_at": null,
    "body": "Remove the following encoders:\r\n\r\n- [x] ArithmeticEncoder - I wrote this but it isn't clear that we want to encourage adaptive encoders\r\n- [ ] AdaptiveScalarEncoder - RDSE is better\r\n- [x] SDRRandomEncoder - don't understand utility of this\r\n- [x] NonUniformScalarEncoder - again, not sure we want to encourage adaptive encoders\r\n- [ ] ScalarSpaceEncoder\r\n- [x] VectorEncoder - just wraps multiple encoders\r\n- [x]  UtilityEncoder - functionality is outside the scope of encoders",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic/issues/947",
    "labels_url": "https://api.github.com/repos/numenta/nupic/issues/947/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic/issues/947/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic/issues/947/events",
    "html_url": "https://github.com/numenta/nupic/issues/947",
    "id": 33940373,
    "number": 947,
    "title": "Refactor common logic in encoders to base class",
    "user": {
        "login": "chetan51",
        "id": 310282,
        "avatar_url": "https://avatars.githubusercontent.com/u/310282?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/chetan51",
        "html_url": "https://github.com/chetan51",
        "followers_url": "https://api.github.com/users/chetan51/followers",
        "following_url": "https://api.github.com/users/chetan51/following{/other_user}",
        "gists_url": "https://api.github.com/users/chetan51/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/chetan51/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/chetan51/subscriptions",
        "organizations_url": "https://api.github.com/users/chetan51/orgs",
        "repos_url": "https://api.github.com/users/chetan51/repos",
        "events_url": "https://api.github.com/users/chetan51/events{/privacy}",
        "received_events_url": "https://api.github.com/users/chetan51/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic/labels/algorithms",
        "name": "algorithms",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/encoder",
        "name": "encoder",
        "color": "bfdadc"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/help%20wanted",
        "name": "help wanted",
        "color": "fbca04"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/newbie",
        "name": "newbie",
        "color": "bfe5bf"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic/milestones/48",
        "html_url": "https://github.com/numenta/nupic/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic/milestones/48/labels",
        "id": 989486,
        "number": 48,
        "title": "0.5.0",
        "description": "Clean C++ code and build logic. ",
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 20,
        "closed_issues": 2,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T16:27:46Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 1,
    "created_at": "2014-05-20T23:46:42Z",
    "updated_at": "2015-02-21T17:55:14Z",
    "closed_at": null,
    "body": "I see duplicate logic in various encoders, especially in their `init` functions. For example, setting `n` and `w` and enforcing good values for them. Also setting the `name`. Common logic should be refactored to the respective base classes.",
    "repo": "numenta/nupic"
}, {
    "url": "https://api.github.com/repos/numenta/nupic-linux64/issues/13",
    "labels_url": "https://api.github.com/repos/numenta/nupic-linux64/issues/13/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic-linux64/issues/13/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic-linux64/issues/13/events",
    "html_url": "https://github.com/numenta/nupic-linux64/issues/13",
    "id": 28633053,
    "number": 13,
    "title": "remove PIL from the repo (deprecated by Pillow)",
    "user": {
        "login": "breznak",
        "id": 2166111,
        "avatar_url": "https://avatars.githubusercontent.com/u/2166111?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/breznak",
        "html_url": "https://github.com/breznak",
        "followers_url": "https://api.github.com/users/breznak/followers",
        "following_url": "https://api.github.com/users/breznak/following{/other_user}",
        "gists_url": "https://api.github.com/users/breznak/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/breznak/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/breznak/subscriptions",
        "organizations_url": "https://api.github.com/users/breznak/orgs",
        "repos_url": "https://api.github.com/users/breznak/repos",
        "events_url": "https://api.github.com/users/breznak/events{/privacy}",
        "received_events_url": "https://api.github.com/users/breznak/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic-linux64/labels/bug",
        "name": "bug",
        "color": "fc2929"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic-linux64/labels/P4",
        "name": "P4",
        "color": "207de5"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic-linux64/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": {
        "login": "oxtopus",
        "id": 326528,
        "avatar_url": "https://avatars.githubusercontent.com/u/326528?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/oxtopus",
        "html_url": "https://github.com/oxtopus",
        "followers_url": "https://api.github.com/users/oxtopus/followers",
        "following_url": "https://api.github.com/users/oxtopus/following{/other_user}",
        "gists_url": "https://api.github.com/users/oxtopus/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/oxtopus/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/oxtopus/subscriptions",
        "organizations_url": "https://api.github.com/users/oxtopus/orgs",
        "repos_url": "https://api.github.com/users/oxtopus/repos",
        "events_url": "https://api.github.com/users/oxtopus/events{/privacy}",
        "received_events_url": "https://api.github.com/users/oxtopus/received_events",
        "type": "User",
        "site_admin": false
    },
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic-linux64/milestones/24",
        "html_url": "https://github.com/numenta/nupic-linux64/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic-linux64/milestones/24/labels",
        "id": 989487,
        "number": 24,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 1,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-21T17:54:52Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2014-03-03T16:13:12Z",
    "updated_at": "2015-02-21T17:54:52Z",
    "closed_at": null,
    "body": "as we'll switch to Pillow, we should remove PIL binaries from the repository. \r\nCurrently both PIL and Pillow exist there and PIL (can't) be removed, see #10 ",
    "repo": "numenta/nupic-linux64"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/206",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/206/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/206/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/206/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/206",
    "id": 45794164,
    "number": 206,
    "title": "Adhere to CMake Style Guide",
    "user": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/build",
        "name": "build",
        "color": "006b75"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/cleanup",
        "name": "cleanup",
        "color": "c7def8"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/P3",
        "name": "P3",
        "color": "009800"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 0,
    "created_at": "2014-10-14T20:09:05Z",
    "updated_at": "2015-02-21T17:54:39Z",
    "closed_at": null,
    "body": "Depends on https://github.com/numenta/nupic.core/issues/205. Once the style guide is complete, make the changes to adhere to that guide. ",
    "repo": "numenta/nupic.core"
}, {
    "url": "https://api.github.com/repos/numenta/nupic.core/issues/205",
    "labels_url": "https://api.github.com/repos/numenta/nupic.core/issues/205/labels{/name}",
    "comments_url": "https://api.github.com/repos/numenta/nupic.core/issues/205/comments",
    "events_url": "https://api.github.com/repos/numenta/nupic.core/issues/205/events",
    "html_url": "https://github.com/numenta/nupic.core/issues/205",
    "id": 45793749,
    "number": 205,
    "title": "Create a CMake style guide",
    "user": {
        "login": "rhyolight",
        "id": 15566,
        "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
        "gravatar_id": "",
        "url": "https://api.github.com/users/rhyolight",
        "html_url": "https://github.com/rhyolight",
        "followers_url": "https://api.github.com/users/rhyolight/followers",
        "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
        "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
        "organizations_url": "https://api.github.com/users/rhyolight/orgs",
        "repos_url": "https://api.github.com/users/rhyolight/repos",
        "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
        "received_events_url": "https://api.github.com/users/rhyolight/received_events",
        "type": "User",
        "site_admin": false
    },
    "labels": [{
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/administrative",
        "name": "administrative",
        "color": "5319e7"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/build",
        "name": "build",
        "color": "006b75"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/P3",
        "name": "P3",
        "color": "009800"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/stand-alone",
        "name": "stand-alone",
        "color": "bfdadc"
    }, {
        "url": "https://api.github.com/repos/numenta/nupic.core/labels/wiki",
        "name": "wiki",
        "color": "207de5"
    }],
    "state": "open",
    "locked": false,
    "assignee": null,
    "milestone": {
        "url": "https://api.github.com/repos/numenta/nupic.core/milestones/40",
        "html_url": "https://github.com/numenta/nupic.core/milestones/0.5.0",
        "labels_url": "https://api.github.com/repos/numenta/nupic.core/milestones/40/labels",
        "id": 989485,
        "number": 40,
        "title": "0.5.0",
        "description": null,
        "creator": {
            "login": "rhyolight",
            "id": 15566,
            "avatar_url": "https://avatars.githubusercontent.com/u/15566?v=3",
            "gravatar_id": "",
            "url": "https://api.github.com/users/rhyolight",
            "html_url": "https://github.com/rhyolight",
            "followers_url": "https://api.github.com/users/rhyolight/followers",
            "following_url": "https://api.github.com/users/rhyolight/following{/other_user}",
            "gists_url": "https://api.github.com/users/rhyolight/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/rhyolight/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/rhyolight/subscriptions",
            "organizations_url": "https://api.github.com/users/rhyolight/orgs",
            "repos_url": "https://api.github.com/users/rhyolight/repos",
            "events_url": "https://api.github.com/users/rhyolight/events{/privacy}",
            "received_events_url": "https://api.github.com/users/rhyolight/received_events",
            "type": "User",
            "site_admin": false
        },
        "open_issues": 7,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2015-02-21T17:53:37Z",
        "updated_at": "2015-02-24T17:02:20Z",
        "due_on": null,
        "closed_at": null
    },
    "comments": 5,
    "created_at": "2014-10-14T20:05:24Z",
    "updated_at": "2015-02-21T17:54:35Z",
    "closed_at": null,
    "body": "Much like we have C and Python style guides, we should also have one for CMake. It's fine to link to an existing guide like [the KDE CMake Style Guide](https://techbase.kde.org/Policies/CMake_Coding_Style), with a local addendum of our own. This is how we do it with the other style guides. ",
    "repo": "numenta/nupic.core"
}];